<?php

// Check nonce
PHPCUS_PARAM::CUS_REQUIRES_NONCE();

// Check Array Input
PHPCUS_PARAM::CUS_DOES_NOT_SUPPORT_ARRAY();

// Check already authenticated
PHPCUS_PARAM::CUS_REQUIRES_AUTHENTICATION();

// Check access rights
PHPCUS_PARAM::CUS_HAS_PERMISSION(PHPCUS_SYSTEM::AUTHORITY_VIEW_ONLY, 'mobile_notification');


if
(
		PHPRC_HTTP_PARAM::REF_ISSET_IN_ARRAY
		(
				[
						'PARAM_NRECEIVER_ID',
						'PARAM_NRECEIVER_TRANSACTION_ID',
						'PARAM_NRECEIVER_SHORTCODE',
						'PARAM_NRECEIVER_APPLIED_CHARGE',
						'PARAM_NRECEIVER_TIMESTAMP_FROM',
						'PARAM_NRECEIVER_TIMESTAMP_TO',
						'PARAM_NRECEIVER_RESULT',
						'PARAM_NRECEIVER_STATUS',
						
						'PARAM_ORDER_FIELD',
						'PARAM_ORDER_TYPE',
						'PARAM_SKIP'
				], True
				)
		)
{
	Try
	{
		// Read params
		// ------------------------------------------------------------------
		
		$PARAM_NRECEIVER_ID = PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_NRECEIVER_ID');
		$PARAM_NRECEIVER_TRANSACTION_ID = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_NRECEIVER_TRANSACTION_ID');
		$PARAM_NRECEIVER_SHORTCODE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_NRECEIVER_SHORTCODE');
		$PARAM_NRECEIVER_APPLIED_CHARGE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_NRECEIVER_APPLIED_CHARGE');
		$PARAM_NRECEIVER_TIMESTAMP_FROM = PHPCUS_PARAM::CUS_READ_DATETIME('PARAM_NRECEIVER_TIMESTAMP_FROM');
		$PARAM_NRECEIVER_TIMESTAMP_TO = PHPCUS_PARAM::CUS_READ_DATETIME('PARAM_NRECEIVER_TIMESTAMP_TO');
		$PARAM_NRECEIVER_RESULT = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_NRECEIVER_RESULT');
		$PARAM_NRECEIVER_STATUS = PHPCUS_PARAM::CUS_READ_INT('PARAM_NRECEIVER_STATUS');
		
		$PARAM_ORDER_FIELD = PHPCUS_PARAM::CUS_READ_SORT_FIELD
		(
				'PARAM_ORDER_FIELD',
				[
						'NRECEIVER_ID',
						'NRECEIVER_TRANSACTION_ID',
						'NRECEIVER_SHORTCODE',
						'NRECEIVER_APPLIED_CHARGE',
						'NRECEIVER_TIMESTAMP',
						'NRECEIVER_RESULT',
						'NRECEIVER_STATUS'
				]
				);
		
		$PARAM_ORDER_TYPE = PHPCUS_PARAM::CUS_READ_SORT_TYPE('PARAM_ORDER_TYPE');
		$PARAM_SKIP	= PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_SKIP');
		
		// ------------------------------------------------------------------
		
		
		// Execute Stored Procedure
		$DATA_SET = PHPCUS_MOBILE_NOTIFICATION::CUS_GET
		(
				$PARAM_NRECEIVER_ID,
				$PARAM_NRECEIVER_TRANSACTION_ID,
				$PARAM_NRECEIVER_SHORTCODE,
				$PARAM_NRECEIVER_APPLIED_CHARGE,
				$PARAM_NRECEIVER_TIMESTAMP_FROM,
				$PARAM_NRECEIVER_TIMESTAMP_TO,
				$PARAM_NRECEIVER_RESULT,
				$PARAM_NRECEIVER_STATUS,
				
				$PARAM_ORDER_FIELD,
				$PARAM_ORDER_TYPE,
				$PARAM_SKIP
				);
		
		// Return JSON response
		if(empty($DATA_SET) === False)
		{
			PHPCUS_PARAM::CUS_JSON_SUCCESS($DATA_SET);
		}
		else
		{
			PHPCUS_PARAM::CUS_JSON_SUCCESS('');
		}
		
	}
	Catch(Exception $ERR)
	{
		PHPVC_LOG::VAR_REPORT_ERROR($ERR, 0);
		PHPCUS_PARAM::CUS_JSON_ERROR($ERR->getMessage());
	}
}
else
{
	PHPCUS_PARAM::CUS_JSON_ERROR('Missing parameters');
}

?>